> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Ping

> Simple endpoint to test API connectivity



## OpenAPI

````yaml /openapi/bonai-news-api.json get /ping
openapi: 3.0.3
info:
  title: Bonai News API
  version: '2024-01-01'
  description: >-
    A comprehensive news aggregation and search API providing access to
    articles, publishers, and trending topics across multiple languages and
    countries.
servers:
  - url: https://api.bonai.io/news
    description: Production
security: []
paths:
  /ping:
    get:
      summary: Ping
      description: Simple endpoint to test API connectivity
      operationId: ping
      parameters:
        - $ref: '#/components/parameters/ApiVersionHeader'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PingResponse'
components:
  parameters:
    ApiVersionHeader:
      name: api-version
      in: header
      required: false
      schema:
        type: string
        enum:
          - '2024-01-01'
      description: API version to consume. Defaults to the latest version (2024-01-01).
  schemas:
    PingResponse:
      type: object
      required:
        - id
        - message
        - version
        - timestamp
      properties:
        id:
          type: string
          description: Request ID
        message:
          type: string
          example: pong
        version:
          type: string
          description: Resolved API version
          example: '2024-01-01'
        timestamp:
          type: integer
          description: Server timestamp in milliseconds

````